Core.Admin/Models/ErrorViewModel.cs
using System;

namespace Core.Admin.Models
{
    public class ErrorViewModel
    {
        public string RequestId { get; set; }

        public bool ShowRequestId => !string.IsNullOrEmpty(RequestId);
    }
}

Core.Admin/Controllers/CustomerController.cs
using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Core.Admin.Controllers
{
    public class CustomerController : Controller
    {
        
        public IActionResult Index()
        {
            return View();
        }
        public IActionResult Details()
        {
            return View();
        }
        
    }
}

Core.Admin/Controllers/ServiceController.cs
using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Core.Admin.Controllers
{
    public class ServiceController : Controller
    {
        public IActionResult Index()
        {
            return View();
        }
        public IActionResult AddEdit()
        {
            return View();
        }
    }
}

Core.Admin/Controllers/UserController.cs
using Core.Service;
using Microsoft.AspNetCore.Mvc;


namespace Core.Admin.Controllers
{
    public class UserController : Controller
    {
        private readonly IServiceWrapper _service;

        public UserController(IServiceWrapper service)
        {
            _service = service;
        }
        public IActionResult Index()
        {
          var Users=  _service.UserService.GetAll();

            return View(Users);
        }
        
        public IActionResult AddEdit()
        {
            return View();
        }
        public IActionResult AddEditRecipt()
        {
            return View();
        }
        
        public IActionResult Home()
        {
            return View();
        }
    }
}

Core.Admin/Views/Customer/Details.cshtml
@{
    ViewBag.Page = "تفاصيل العميل";
}

<div class="row gutters">

    <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
        <div class="card h-100">

            <div class="card-body">
                <div class="card-form">
                    <div class="card-header">
                        <div class="card-title">
                            <i class="icon-layers2"></i> &nbsp; تفاصيل العميل

                            <a class="add-user" href="@Url.Action("Index")"><i class="icon-controller-fast-backward"></i> عودة</a>
                        </div>

                    </div>
                    <div class="card-body">

                        <div class="row gutters">
                         

                        </div>

                    </div>




                </div>
            </div>
        </div>
    </div>

</div>

Core.Admin/Views/Customer/Index.cshtml
@using Core.Model.Models
@model IQueryable<Customer>
@{
    Layout = "~/Views/Shared/_Layout.cshtml";
    ViewBag.Title = "Users";
    ViewBag.Page = "العملاء";
}

<div class="content-wrapper">

    <!-- Row start -->
    <div class="row gutters">

        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
            <div class="card h-100">

                <div class="card-body">
                    <div class="card-form">
                        <div class="card-header">
                            <div class="card-title">
                                <i class="icon-layers2"></i> &nbsp; العملاء

                             
                            </div>

                        </div>
                        <div class="card-body">

                            <div class="row gutters">
                                <div class="col-xl-6 col-lg col-md-6 col-sm-6 col-12">
                                    <div class="form-group">
                                        <label for="fullName">اسم العميل:</label>
                                        <input type="text" class="form-control" id="fullName" placeholder=" ">
                                    </div>

                                </div>
                                <div class="col-xl-6 col-lg col-md-6 col-sm-6 col-12">
                                    <div class="form-group">
                                        <label for="fullName">رقم الهاتف:</label>
                                        <input type="text" class="form-control" id="fullName" placeholder=" ">
                                    </div>

                                </div>
                                
                                    
                                
                                <div class="row">
                                    <div class="col-xl-4 col-lg col-md-4 col-sm-4 col-12">
                                        <div class="form-group">
                                            <label for="fullName">بحث من :</label>
                                            <input type="date" class="form-control" placeholder=" ">
                                        </div>

                                    </div>
                                    <div class="col-xl-4 col-lg col-md-4 col-sm-4 col-12">
                                        <div class="form-group">
                                            <label for="fullName">بحث الى  :</label>
                                            <input type="date" class="form-control" id="fullName" placeholder=" ">
                                        </div>

                                    </div>
                                    <div class="col-xl-4 col-lg-4 col-md-4 col-sm-4 col-12">
                                        <div class="form-group">
                                            <label for="fullName"> التصنيف حسب المستخدم:</label>
                                            <select class="form-control">

                                                <option>اختر التصنيف...</option>
                                                <option>الاول</option>
                                                <option>الاول</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12 ">
                                        <div class="text-right">

                                            <a href="#" class="add_userbtn"><i class="icon-search"></i> بحث</a>
                                        </div>
                                    </div>
                                    <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12 mt-30">

                                        <div class="card">
                                            <div class="card-body">
                                                <div class="table-responsive">
                                                    <table class="table table-bordered table-striped">
                                                        <thead>
                                                            <tr>
                                                                <th>#</th>
                                                                <th>مقدم الخدمة</th>
                                                                <th>اسم العميل</th>
                                                                <th>رقم الهاتف</th>
                                                                <th>تاريخ اضافة العميل</th>
                                                                <th></th>
                                                            </tr>

                                                        </thead>
                                                        <tbody>
                                                            <tr>
                                                                <td>1</td>
                                                                <td>أحمد خالد محمود</td>
                                                                <td>عبد الله ابراهيم</td>
                                                                <td>+999 657 123 122</td>
                                                                <td></td>
                                                                <td>
                                                                    <div class="td-actions">
                                                                        
                                                                        <a class="edit" href="@Url.Action("Details","Customer")" title="تعديل"><i class="icon-pencil"></i>  تفاصيل </a>
                                                                        

                                                                    </div>
                                                                </td>
                                                            </tr>

                                                           

                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>

                                    </div>
                                </div>

                        </div>

                    </div>




                </div>
            </div>
        </div>
    </div>

</div>

    </div>

Core.Admin/Views/Order/Index.cshtml
@using Core.Model.Models
@model IQueryable<Order>
@{
    Layout = "~/Views/Shared/_Layout.cshtml";
    ViewBag.Title = "Orders";
    ViewBag.Page = "الفواتير";
}

<div class="content-wrapper">

    <!-- Row start -->
    <div class="row gutters">

        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
            <div class="card h-100">

                <div class="card-body">
                    <div class="card-form">
                        <div class="card-header">
                            <div class="card-title">
                                <i class="icon-layers2"></i> &nbsp; الفواتير

                                
                            </div>

                        </div>
                        <div class="card-body">

                            <div class="row gutters">
                                <div class="row">
                                    <div class="col-xl-4 col-lg col-md-4 col-sm-4 col-12">
                                        <div class="form-group">
                                            <label for="fullName">بحث من :</label>
                                            <input type="date" class="form-control" placeholder=" ">
                                        </div>

                                    </div>
                                    <div class="col-xl-4 col-lg col-md-4 col-sm-4 col-12">
                                        <div class="form-group">
                                            <label for="fullName">بحث الى  :</label>
                                            <input type="date" class="form-control" id="fullName" placeholder=" ">
                                        </div>

                                    </div>
                                    <div class="col-xl-4 col-lg-4 col-md-4 col-sm-4 col-12">
                                        <div class="form-group">
                                            <label for="fullName"> التصنيف حسب المستخدم:</label>
                                            <select class="form-control">

                                                <option>اختر التصنيف...</option>
                                                <option>الاول</option>
                                                <option>الاول</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12 ">
                                        <div class="text-right">

                                            <a href="#" class="add_userbtn"><i class="icon-search"></i> بحث</a>
                                        </div>
                                    </div>
                                    <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12 mt-30">

                                        <div class="card">
                                            <div class="card-body">
                                                <div class="table-responsive">
                                                    <table class="table table-bordered table-striped">
                                                        <thead>
                                                            <tr>
                                                                <th>#</th>
                                                                <th>مقدم الخدمة</th>
                                                                <th>اسم العميل</th>
                                                                <th>رقم الهاتف</th>
                                                                <th>تاريخ الفاتورة</th>
                                                                <th>السعر الكلى </th>
                                                                <th>الخصم</th>
                                                                <th>السعر الكلى بعد الخصم</th>
                                                                <th>تفاصيل الفاتورة</th>
                                                                
                                                            </tr>

                                                        </thead>
                                                        <tbody>
                                                            <tr>
                                                                <td>1</td>
                                                                <td>أحمد خالد محمود</td>
                                                                <td>عبد الله ابراهيم</td>
                                                                <td>+999 657 123 122</td>
                                                                <td></td>
                                                                <td></td>
                                                                <td></td>
                                                                <td></td>
                                                                <td>
                                                                    <div class="td-actions">
                                                                        <a class="edit" href="@Url.Action("OrderDetails","Order")" title="تعديل"><i class="icon-pencil"></i>  تفاصيل </a>
                                                                    </div>
                                                                </td>
                                                            </tr>

                                                          

                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>

                                    </div>
                                </div>
                               
                            </div>

                        </div>

                    </div>




                </div>
            </div>
        </div>
    </div>

</div>

Core.Admin/Views/Order/OrderDetails.cshtml
@using Core.Model.Models

@{
    Layout = "~/Views/Shared/_Layout.cshtml";
    ViewBag.Title = "Users";
    ViewBag.Page = "تفاصيل الفاتورة";
}

<div class="content-wrapper">

    <!-- Row start -->
    <div class="row gutters">

        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
            <div class="card h-100">

                <div class="card-body">
                    <div class="card-form">
                        <div class="card-header">
                            <div class="card-title">
                                <i class="icon-layers2"></i> &nbsp; تفاصيل الفاتورة

                                <a class="add-user" href="@Url.Action("Index")"><i class="icon-controller-fast-backward"></i> عودة</a>
                            </div>

                        </div>
                        <div class="card-body">

                            <div class="row gutters">
                                
                                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12 mt-30">

                                    <div class="card">
                                        <div class="card-body">
                                            <div class="table-responsive">
                                                <table class="table table-bordered table-striped">
                                                    <thead>
                                                        <tr>
                                                            <th>#</th>
                                                            <th>مقدم الخدمة</th>
                                                            <th>اسم العميل</th>
                                                            <th>اسم الخدمة</th>
                                                            <th>الكمية</th>
                                                            <th>الخصم</th>
                                                           
                                                            
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        <tr>
                                                            <td>1</td>
                                                            <td>أحمد خالد محمود</td>
                                                            <td>عبد الله ابراهيم</td>
                                                            <td></td>
                                                            <td></td>
                                                            <td></td>
                                                            
                                                         
                                                        </tr>
                                                        
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>

                        </div>

                    </div>




                </div>
            </div>
        </div>
    </div>

</div>

Core.Admin/Views/Service/Index.cshtml
@using Core.Model.Models
@model IQueryable<User>
@{
    Layout = "~/Views/Shared/_Layout.cshtml";
    ViewBag.Title = "Users";
    ViewBag.Page = "الخدمات";
}

<div class="content-wrapper">

    <!-- Row start -->
    <div class="row gutters">

        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
            <div class="card h-100">

                <div class="card-body">
                    <div class="card-form">
                        <div class="card-header">
                            <div class="card-title">
                                <i class="icon-layers2"></i> &nbsp; الخدمات

                                
                            </div>

                        </div>
                        <div class="card-body">

                            <div class="row gutters">
                                <div class="row">
                                    <div class="col-xl-4 col-lg col-md-4 col-sm-4 col-12">
                                        <div class="form-group">
                                            <label for="fullName">بحث من :</label>
                                            <input type="date" class="form-control" placeholder=" ">
                                        </div>

                                    </div>
                                    <div class="col-xl-4 col-lg col-md-4 col-sm-4 col-12">
                                        <div class="form-group">
                                            <label for="fullName">بحث الى  :</label>
                                            <input type="date" class="form-control" id="fullName" placeholder=" ">
                                        </div>

                                    </div>
                                    <div class="col-xl-4 col-lg-4 col-md-4 col-sm-4 col-12">
                                        <div class="form-group">
                                            <label for="fullName"> التصنيف حسب المستخدم:</label>
                                            <select class="form-control">

                                                <option>اختر التصنيف...</option>
                                                <option>الاول</option>
                                                <option>الاول</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12 ">
                                        <div class="text-right">

                                            <a href="#" class="add_userbtn"><i class="icon-search"></i> بحث</a>
                                        </div>
                                    </div>
                                    <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12 mt-30">

                                        <div class="card">
                                            <div class="card-body">
                                                <div class="table-responsive">
                                                    <table class="table table-bordered table-striped">
                                                        <thead>
                                                            <tr>
                                                                <th>#</th>
                                                                <th>اسم الخدمة</th>
                                                                <th>اسم مقدم الخدمة</th>
                                                                <th>اسم العميل</th>
                                                                <th>السعر</th>
                                                                <th>تاريخ اضافة الخدمة</th>
                                                                <th>الصورة</th>

                                                                <th></th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            <tr>
                                                                <td>1</td>
                                                                <td></td>
                                                                <td></td>
                                                                <td></td>
                                                                <td>100$</td>
                                                                <td></td>
                                                                <td><img class="img_table" src="/images/logo-2.png"></td>

                                                                @*<td>
                                                                    <div class="td-actions">
                                                                        <a class="active" href="#"><i class="icon-power_settings_new"></i> تفعيل</a>
                                                                        <a class="edit" href="#" title="تعديل"><i class="icon-pencil"></i>  تعديل </a>
                                                                        <a class="delete" href="#" title="حذف"><i class="icon-delete"></i> حذف</a>

                                                                    </div>
                                                                </td>*@
                                                            </tr>
                                                           

                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>

                                    </div>
                                </div>

                        </div>

                    </div>




                </div>
            </div>
        </div>
    </div>

</div>
</div>

Core.Admin/Views/Shared/_Layout.cshtml
<!doctype html>
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Meta -->
    <meta name="description" content="Responsive Bootstrap4 Dashboard Template">
    <meta name="author" content="ParkerThemes">
    <link rel="shortcut icon" href="images/logo-darkText.png" />

    <!-- Title -->
    <title>@ViewBag.Titles</title>


    <!-- *************
        ************ Common Css Files *************
    ************ -->
    <!-- Bootstrap css -->
    <link rel="stylesheet" href="/css/bootstrap.min.css">

    <!-- Icomoon Font Icons css -->
    <link rel="stylesheet" href="/fonts/style.css">

    <!-- Main css -->
    <link rel="stylesheet" href="/css/main.css">




</head>
<body dir="rtl">




    <!-- *************
        ************ Header section start *************
    ************* -->
    <!-- Header start -->
    <header class="header">
        <div class="logo-wrapper">
            <a href="index.html" class="logo">
                <img src="/images/logo-darkText.png" alt="BANSHER" />
            </a>

        </div>

    </header>
    <!-- Header end -->
    <!-- Screen overlay start -->
    <div class="screen-overlay"></div>
    <!-- Screen overlay end -->
    <!-- *************
        ************ Header section end *************
    ************* -->
    <!-- Container fluid start -->
    <div class="container-fluid">

        <!-- Navigation start -->
        <nav class="navbar navbar-expand-lg custom-navbar">
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#WafiAdminNavbar" aria-controls="WafiAdminNavbar" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon">
                    <i></i>
                    <i></i>
                    <i></i>
                </span>
            </button>
            <div class="collapse navbar-collapse" id="WafiAdminNavbar">
                <ul class="navbar-nav">
                    <li class="nav-item dropdown">
                        <a class="nav-link " href="@Url.Action("Home","User")" id="appsDropdown" role="button" aria-haspopup="true" aria-expanded="false">
                            <i class="icon-inbox nav-icon"></i>
                            الرئيسية
                        </a>

                    </li>
                    <li class="nav-item dropdown">
                        <a class="nav-link " href="@Url.Action("Index","Service")" id="appsDropdown" role="button" aria-haspopup="true" aria-expanded="false">
                            <i class="icon-layers2 nav-icon"></i>
                            الخدمات
                        </a>

                    </li>

                    <li class="nav-item dropdown">
                        <a class="nav-link " href="@Url.Action("Index","Order")" id="appsDropdown" role="button" aria-haspopup="true" aria-expanded="false">
                            <i class="icon-edit1 nav-icon"></i>
                            الفواتير
                        </a>

                    </li>
                    <li class="nav-item dropdown ">
                        <a class="nav-link  " href="@Url.Action("Index","Customer")" id="appsDropdown" role="button" aria-haspopup="true" aria-expanded="false">
                            <i class="icon-users nav-icon active-page"></i>
                            العملاء
                        </a>

                    </li>
                    <li class="nav-item dropdown ">
                        <a class="nav-link  " href="@Url.Action("Index","User")" id="appsDropdown" role="button" aria-haspopup="true" aria-expanded="false">
                            <i class="icon-users nav-icon active-page"></i>
                            المستخدمين
                        </a>

                    </li>


                </ul>
            </div>
        </nav>
        <!-- Navigation end -->
        <!-- *************
            ************ Main container start *************
        ************* -->
        <div class="main-container">

            <!-- Page header start -->
            <div class="page-header">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item">الرئيسية</li>
                    <li class="breadcrumb-item active">@ViewBag.Page</li>
                </ol>
            </div>
            <!-- Page header end -->

            @RenderBody()
        </div>
        <!-- *************
            ************ Main container end *************
        ************* -->
        <!-- Footer start -->
        <footer class="main-footer">© BANSHER 2021</footer>
        <!-- Footer end -->

    </div>
    <!-- Container fluid end -->
    <!-- *************
        ************ Required JavaScript Files *************
    ************* -->
    <!-- Required jQuery first, then Bootstrap Bundle JS -->
    <script src="/js/jquery.min.js"></script>
    <script src="/js/bootstrap.bundle.min.js"></script>
    <script src="/js/moment.js"></script>


    <!-- *************
        ************ Vendor Js Files *************
    ************* -->
    <!-- Slimscroll JS -->
    <script src="/vendor/slimscroll/slimscroll.min.js"></script>
    <script src="/vendor/slimscroll/custom-scrollbar.js"></script>


    <!-- Main Js Required -->
    <script src="/js/main.js"></script>

</body>
</html>